import { Vue } from "vue-property-decorator";
import { MessageThread } from "../types/MessageThread";
import { GetThreadsPayload } from "../services/ThreadService";
import MessageModule from "../modules/MessageModule";
export default class BaseThreadsPage extends Vue {
    messageModule: MessageModule;
    isInitialLoading: boolean;
    lastLoadedTasksLength: number;
    get initialPayload(): GetThreadsPayload | null;
    get threads(): MessageThread[];
    infinityLoad(index: number, done: Function): Promise<void>;
    get isDisableInfinity(): boolean;
    initialLoad(): Promise<void>;
    toCreateRoute(): Promise<import("vue-router").Route>;
    toIndexRoute(): Promise<import("vue-router").Route>;
    activated(): void;
    deactivated(): void;
}
